Google's First 2016 Android Update Fixes a Dozen Flaws

By Sean Michael Kerner  |  Posted 2016-01-05 Print this article Print
Android security

Google rated five of the 12 vulnerabilities as critical. Once again, flaws emerged in Android's much-maligned mediaserver.

Google came out with its first Android security patch of 2016, and it's fixing some familiar flaws. There are 12 patches in total, five of which Google rated as critical.

Among the critical flaws is CVE-2015-6636, which Google identifies as a remote code execution vulnerability in mediaserver.

"During media file and data processing of a specially crafted file, vulnerabilities in mediaserver could allow an attacker to cause memory corruption and remote code execution as the mediaserver process," Google warns in its security bulletin. "The affected functionality is provided as a core part of the operating system, and there are multiple applications that allow it to be reached with remote content, most notably MMS [Multimedia Messaging Service] and browser playback of media."

Flaws in Android's mediaserver are not a new phenomena. Since the first of Google's monthly Android security updates in August 2015, there have been patches for mediaserver-related flaws, though typically in the Stagefright mediaserver.

"While CVE-2015-6636 wasn't named explicitly with Stagefright, it affects roughly the same areas of the Android system that the Stagefright vulnerabilities did," Andrew Blaich, lead security analyst at BlueBox Mobile Security, told eWEEK.

The first Stagefright vulnerability was disclosed in July 2015 by Joshua Drake, vice president of platform research and exploitation at Zimperium zLabs. There have been multiple additional Stagefright flaws disclosed since then, with Google patching Stagefright-related issues in its October, November and December Android updates.

With the new CVE-2015-6636 issue, Blaich is particularly concerned about potential impact. "This mediaserver fix is troubling because it has been classified as a remote code execution vulnerability, meaning all it takes is a malicious text message or Website to exploit the device," Blaich said. "We're still continuing to see issues found in these parts of the Android source code because it has been largely unaudited for security vulnerabilities until very recently."

The mediaserver fix is only one of five critical issues in the January Android update, and Blaich considers all five issues to be worrisome for Android device owners. In particular, are two issues (CVE-2015-6639 and CVE-2015-6647) with Android's TrustZone. The TrustZone is the area of Android where secure keys are stored.

"TrustZone is also used for secure payment platforms, so it's important that this area remains secure from attackers," Blaich said.

Overall, the January Android security update is the sixth since Google first started its monthly Android update cycle. Over the last six months, Google has patched a total of 93 security issues, with 41 rated as critical, Blaich said. While the first Android patch release was triggered by a third-party researcher security disclosure, the majority of patches in the January update were discovered by Google's own security researchers.

"It's really good that the security issues being found and fixed are now getting caught by Google's own research team," Blaich said. "This shows that they are examining their own products with the same enthusiasm as we have seen them do for the products of other companies."

Sean Michael Kerner is a senior editor at eWEEK and Follow him on Twitter @TechJournalist.


Submit a Comment

Loading Comments...
Manage your Newsletters: Login   Register My Newsletters

Rocket Fuel